Planning
Operaties op planningsresources. 2 eindpunten, elk relatief ten opzichte van https://api.nxgen.cloud/api/v1 en geauthenticeerd zoals beschreven onder Authenticatie.
GET /schedule
Haal lijst op van planningen gekoppeld aan een hiërarchisch niveau‑ID zoals Site, Klant of Serviceprovider -ID.
Parameters
Naam | In | Type | Verplicht | Beschrijving |
|---|---|---|---|---|
entityId | query | string | ja | Hiërarchisch niveau‑ID zoals Site, Klant of Serviceprovider -ID. |
Responsen
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | object |
400 | Ongeldige invoer | |
403 | Verboden |
Voorbeeld 200 respons:
{
"errorCode": 0,
"errorMessage": "Details on error if any.",
"message": {
"schedules": [
{
"id": "8a81fdd581cf1102820521f1bb08c5",
"entries": [
{
"id": "8a81fdd581cf1102018205251908c6",
"entryType": "DAY_OF_WEEK",
"startDate": 1730116540,
"endDate": 1730116540,
"dayOfWeek": "MONDAY",
"startTime": "09:00",
"endTime": "17:00",
"autoDelete": false,
"autoDeleteAt": 1730116540,
"specialDayId": "",
"notes": "",
"_links": {
"schedule": {
"href": "http://talos.evalink.io/api/schedule-service/schedules/8a81fdd581cf110201820521bb08c5"
}
}
}
],
"timeZone": "Europe/Berlin",
"name": "TEST",
"updatedAt": 1657943696144
}
],
"specialDays": [
{
"id": "8a809592716fa50171cb419a2e016c",
"name": "Weihnachten",
"month": "12",
"date": "25"
}
]
}
}Voorbeeld 400 respons:
{
"errorCode": "ERR001",
"errorDesc": "Invalid Request"
}PATCH /schedule
Patch planning op basis van planning‑ID
Parameters
Naam | In | Type | Verplicht | Beschrijving |
|---|---|---|---|---|
scheduleId | query | string | ja | scheduleId voor PATCH. |
hierarchyId | query | string | ja | Hiërarchieniveau-id, bijvoorbeeld Site, Klant of Serviceprovider -ID. |
Verzoekbody
Schedule-payload
{
"entries": [
{
"id": "string",
"entryType": "DATE | DAY_OF_WEEK | SPECIAL_DAY | DATE_MULTIPLE | DATE_RANGE",
"startDate": "string",
"endDate": "string",
"dayOfWeek": "MONDAY | TUESDAY | WEDNESDAY | THURSDAY | FRIDAY | SATURDAY | SUNDAY",
"startTime": "string",
"endTime": "string",
"autoDelete": "boolean",
"autoDeleteAt": "number",
"specialDayId": "string",
"notes": "string"
}
],
"name": "string"
}Responsen
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
400 | Ongeldige invoer | |
403 | Verboden |
Voorbeeld 200 respons:
{
"errorCode": 0,
"errorMessage": "Success"
}Voorbeeld 400 respons:
{
"errorCode": "ERR001",
"errorDesc": "Invalid Request"
}Bedankt — uw feedback gaat naar het team dat deze pagina beheert.